Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation


<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)>
Public Class ProductsSentence
    Inherits BaseObject

    Private _Products As Products
    Private _Sentence As Sentence
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association>
    Property Products As Products
        Get
            Return _Products

        End Get
        Set(ByVal value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property

    Property Sentence As Sentence
        Get
            Return _Sentence

        End Get
        Set(ByVal value As Sentence)
            SetPropertyValue("Sentence", _Sentence, value)
        End Set
    End Property
End Class


